Subject: [os2genau_digest] No. 1608
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 21 Feb 2008 00:00:40 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 20 February 2008
 Number  1608
**************************************************

Subjects for today
 
1  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform? : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform? : Paul Smedley" <paul at smedley dot id dot au>
3  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform? : Ed Durrant <edurrant at durrant dot mine dot nu>
4  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform? : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Wed, 20 Feb 2008 07:12:36 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform?

Peter Moylan wrote:
> On 19/02/08 19:12, Ian Manners wrote:
>
>> MS only seem to be as good as the rare developer they employ, like 
>> when the HPFS, HPFS386 driver was developed. Bugger knows why they 
>> didnt use something similiar for WinNT back then.
>
> They did! I was successfully using  HPFS with NT, and it worked
> perfectly well. Then they brought out a version of NT where the
> installer, if it found HPFS on any partition, would prompt with "OS/2
> detected. Delete?" If you passed that barrier, you got to one where it
> said "Unknown file system detected. Format this partition?" Even on that
> version, though, you could install the HPFS driver. I used to keep a
> copy of the driver (pinball.sys) on my FTP server, for the benefit of
> Windows people who wanted a better file system. It wasn't until the
> post-NT versions of Windows that the HPFS driver would no longer work.
>
I have installed and used the HPFS support on Windows 2000 and XP - 
files are on Hobbes I think.

The original poster referred to HPFS386 however and that never ran on 
any Windows platform as far as I know.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 20 Feb 2008 10:12:16 +1030
From:  "Paul Smedley" <paul at smedley dot id dot au>
Subject:  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform?

Hi Ed,

On Wed, 20 Feb 2008 07:12:36 +1100
  Ed Durrant <edurrant at durrant dot mine dot nu> wrote:
> The original poster referred to HPFS386 however and that 
>never ran on any Windows platform as far as I know.

Yes - but wasn't HPFS386 claimed to be written by MS - 
hence the exhorbitant licensing fee on WS/WSEB for 
HPFS386....

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 20 Feb 2008 11:13:33 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform?

Paul Smedley wrote:
> Hi Ed,
>
> On Wed, 20 Feb 2008 07:12:36 +1100
>  Ed Durrant <edurrant at durrant dot mine dot nu> wrote:
>> The original poster referred to HPFS386 however and that never ran on 
>> any Windows platform as far as I know.
>
> Yes - but wasn't HPFS386 claimed to be written by MS - hence the 
> exhorbitant licensing fee on WS/WSEB for HPFS386....
>
> Cheers,
>
> Paul.
Correct, but AFAIK MS wrote (or adapted from someone elses code) the 
base HPFS as well. HPFS386 is really part of Lan Server rather than the 
actual file system - it's an add-on to the HPFS 386 File system to 
provide user ACLs in LAN shares.

So either way - MS thought NTFS would be better as this was then 
integrated. Shame it always has to be defragmented on a regular basis, 
whereas HPFS (or HPFS386) doesn't.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 20 Feb 2008 11:24:03 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform?

<quote who="Ed Durrant">
> Paul Smedley wrote:

> Correct, but AFAIK MS wrote (or adapted from someone elses code) the
> base HPFS as well. HPFS386 is really part of Lan Server rather than the
> actual file system - it's an add-on to the HPFS 386 File system to provide
> user ACLs in LAN shares.
>
> So either way - MS thought NTFS would be better as this was then
> integrated. Shame it always has to be defragmented on a regular basis,
> whereas HPFS (or HPFS386) doesn't.

yes, some years ago, I've defragged my HPFS server HD, after about 2 or
maybe more years in service as internet mail/web server, the actual
fragmentation was next to nothing, practically non existant

-- 
Voytek

----------------------------------------------------------------------------------